net.sourceforge.pmd.lang.java.symboltable

## Class ClassNameDeclaration

- java.lang.Object
- - net.sourceforge.pmd.lang.java.symboltable.AbstractNameDeclaration
  - - net.sourceforge.pmd.lang.java.symboltable.ClassNameDeclaration

- All Implemented Interfaces:
    NameDeclaration

      public class ClassNameDeclaration
      extends AbstractNameDeclaration

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.lang.java.symboltable.AbstractNameDeclaration

      `node`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassNameDeclaration(ASTClassOrInterfaceDeclaration node)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class net.sourceforge.pmd.lang.java.symboltable.AbstractNameDeclaration

      `getImage, getNode, getScope`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassNameDeclaration

          public ClassNameDeclaration(ASTClassOrInterfaceDeclaration node)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2002-2013 InfoEther. All Rights Reserved.